.main {
  display: flex;
  justify-content: space-between;
  margin-top: 5.5rem;
}

.main__block {
  flex-basis: 320px;
  display: flex;
  flex-direction: column;
}

.main__heading {
  display: flex;
  flex-wrap: wrap;
}

.heading__span {
  text-transform: uppercase;
  background: linear-gradient(138deg, #fcb045 24.21%, #ff3f78 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: var(--color-w);
  font-weight: bold;
}

.main__desc {
  font-family: "Montserrat";
  max-width: 17.1875rem;
  margin-top: 1.875rem;
  font-size: 1.125rem;
}

.main__information {
  display: flex;
  flex-basis: 291px;
  flex-direction: column;
  align-items: flex-end;
}

.information__desc {
  max-width: 300px;
  font-style: normal;
  font-weight: 700;
  font-size: 1.125rem;
  line-height: 1.375rem;
  text-align: right;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  background: linear-gradient(90deg, #fcb045 36.99%, #fd1d1d 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.information__desc span {
  -webkit-text-fill-color: var(--color-w);
  text-transform: initial;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 22px;
  text-align: right;
}

.information__wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  margin-top: 2.5rem;
  gap: 1.875rem;
}

.wrapper__cell {
  text-align: right;
}

.cell__heading-mobil {
  display: none;
}

.cell__heading {
  margin-bottom: 0.3125rem;
}

.cell__desc {
  line-height: 1.25rem;
  font-family: "Montserrat";
}

.information__link {
  margin-top: 3.75rem;
  text-align: center;
  background-color: var(--btn);
  padding: 1.0625rem 2rem;
  transition: all 0.2s ease-in-out;
}

.information__link:hover {
  background-color: var(--btn-hover);
}

.information__link:active {
  background-color: var(--btn-active);
}

@media (max-width: 768px) {
  .main {
    text-align: center;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 10rem;
  }

  .main__block {
    flex-basis: auto;
    align-items: center;
    margin-bottom: 3.125rem;
  }

  .main__heading {
    font-size: 2.5rem;
    justify-content: center;
  }

  .heading__span {
    margin-left: 1.375rem;
  }

  .main__information {
    align-items: center;
    flex-basis: auto  ;
  }

  .information__desc {
    text-align: center;
  }

  .information__wrapper {
    max-width: 32.5rem;
    justify-content: center;
  }

  .wrapper__cell {
    text-align: left;
  }

  .main__desc,
  .cell__desc {
    font-size: 0.875rem;
  }

  .cell__heading,
  .information__desc {
    font-size: 1rem;
  }

  .information__link {
    font-size: 1rem;
    padding: 0.8rem 1rem;
  }
}

@media (max-width: 320px) {
  .main {
    margin-top: 5rem;
    flex-direction: column;
  }

  .main__block {
    margin-bottom: 2.8125rem;
    align-items: flex-start;
  }

  .main__heading {
    font-size: 2.25rem;
    text-align: left;
    justify-content: flex-start;
  }

  .heading__span {
    margin: 0;
  }

  .main__desc {
    font-size: 1.125rem;
    text-align: left;
  }

  .main__information {
    align-items: flex-start;
  }

  .information__desc {
    font-size: 1.125rem;
    text-align: start;
  }

  .information__wrapper {
    margin-top: 1.25rem;
    gap: 0.875rem;
    justify-content: flex-start;
  }

  .wrapper__cell-1 {
    order: 2;
  }

  .wrapper__cell-2 {
    order: 3;
  }

  .wrapper__cell-3 {
    order: 1;
  }

  .wrapper__cell-4 {
    order: 4;
  }

  .cell__heading-mobil {
    display: flex;
    text-transform: uppercase;
    font-size: 0.8125rem;
  }

  .cell__heading-mobil:before {
    content: "—";
    width: 0.625rem;
    position: relative;
    text-transform: uppercase;
    background: linear-gradient(138deg, #fcb045 24.21%, #ff3f78 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: var(--color-w);
    font-weight: bold;
    margin-right: 5px;
  }

  .cell__heading {
    display: none;
  }

  .cell__desc {
    display: none;
  }

  .information__link {
    display: none;
  }
}
